# Transaction Fee

Gas refers to the transaction fee that will be charged to any transaction or execution on the Smart Contract in KardiaChain network. Gas is measured in HYDRO.&#x20;

1KAI = 10^18 HYDRO

1 OXY  = 10^9 HYDRO = 0.000000001 KAI

A transaction fee will be calculated by the following formula:

&#x20;                     gasFee = gasPrice \* gasLimit

&#x20;The minimum gasPrice is 1 OXY (or 1000000000 HYDRO)

&#x20;The minimum gasLimit is 29000 and the maximum gasLimit is 20000000<br>

&#x20;A typical transaction gas limit for sending KAI on the network is 29000

&#x20;      1000000000 \* 29000 = 29000000000000 HYDRO = 0,000029 KAI

&#x20;A smart contract operation or any transaction on KardiaChain network will cost gas for computing the logic in KVM.

* It costs zero fee to read data from a smart contract.
* Gas will return to users if a smart contract execution does not spend all the gas fee.
* If the transaction is processed but not enough gas to pay, it will be dropped (failed) and gas won't be returned.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kardiachain.io/docs/archived-docs/gas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
